Loading...
Searching...
No Matches
cat_etoile.hpp File Reference
Private

class holding an cat_inode object that get pointed by multiple mirage objects (smart pointers) to record hard links in a catalogue More...

`#include "../my_config.h"`
`#include <list>`
`#include "cat_inode.hpp"`

Go to the source code of this file.

## Classes

class | libdar::cat_etoile
| the hard link implementation More...
struct | libdar::cat_etoile::bool_tags
| bitfield used to record pointed to inode information More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

class holding an cat_inode object that get pointed by multiple mirage objects (smart pointers) to record hard links in a catalogue

Definition in file cat_etoile.hpp.